From a7ec20b034e738fe98376cb35e7a7d7dcc57be10 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Claude4=CE=9Elope?= <xilope@esus.name>
Date: Fri, 27 Jun 2025 16:29:17 +0200
Subject: [PATCH] Fix package installation and remove demo script
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

- Added proper package discovery for mcp_servers modules
- Created __init__.py files for all mcp_servers subpackages
- Added MANIFEST.in to ensure all files are included in distribution
- Removed mcp-browser-demo entry point from setup.py
- Fixed package_data to include all necessary files

The mcp_servers modules are now properly installed alongside mcp_browser,
allowing built-in servers to work correctly after installation.

🤖 Generated with [Claude Code](https://claude.ai/code)

Co-Authored-By: Claude <noreply@anthropic.com>
---
 MANIFEST.in                             | 25 ++++++++++++++++++-------
 mcp_servers/__init__.py                 |  0
 mcp_servers/memory/__init__.py          |  0
 mcp_servers/onboarding/__init__.py      |  0
 mcp_servers/pattern_manager/__init__.py |  0
 mcp_servers/screen/__init__.py          |  0
 setup.py                                | 10 +++++++---
 7 files changed, 25 insertions(+), 10 deletions(-)
 create mode 100644 mcp_servers/__init__.py
 create mode 100644 mcp_servers/memory/__init__.py
 create mode 100644 mcp_servers/onboarding/__init__.py
 create mode 100644 mcp_servers/pattern_manager/__init__.py
 create mode 100644 mcp_servers/screen/__init__.py

diff --git a/MANIFEST.in b/MANIFEST.in
index 4fa2c77..1231027 100644
--- a/MANIFEST.in
+++ b/MANIFEST.in
@@ -1,14 +1,25 @@
+# Include all package files
 include README.md
 include LICENSE
 include CLAUDE.md
 include requirements.txt
-recursive-include config *.yaml
-recursive-include docs *.md
-recursive-include examples *.py
-recursive-include tests *.py
-recursive-include mcp_servers *.py
+include requirements-dev.txt
+
+# Include all Python packages
+recursive-include mcp_browser *.py *.typed
+recursive-include mcp_servers *.py *.json *.yaml *.md
+
+# Include examples and tests
+recursive-include examples *.py *.md
+recursive-include tests *.py *.json
+
+# Include documentation
+recursive-include docs *.md *.rst
+
+# Exclude build artifacts
 global-exclude __pycache__
-global-exclude *.py[cod]
+global-exclude *.py[co]
 global-exclude .DS_Store
+global-exclude .tags
 global-exclude *.html
-global-exclude .tags
\ No newline at end of file
+EOF < /dev/null
\ No newline at end of file
diff --git a/mcp_servers/__init__.py b/mcp_servers/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/mcp_servers/memory/__init__.py b/mcp_servers/memory/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/mcp_servers/onboarding/__init__.py b/mcp_servers/onboarding/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/mcp_servers/pattern_manager/__init__.py b/mcp_servers/pattern_manager/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/mcp_servers/screen/__init__.py b/mcp_servers/screen/__init__.py
new file mode 100644
index 0000000..e69de29
diff --git a/setup.py b/setup.py
index 2b103de..bc86410 100644
--- a/setup.py
+++ b/setup.py
@@ -172,11 +172,16 @@ setup(
     author="Claude4Ξlope",
     author_email="xilope@esus.name",
     url="https://github.com/Xilope0/mcp-browser",
-    packages=find_packages(),
+    packages=find_packages(include=['mcp_browser*', 'mcp_servers*']),
     package_data={
         'mcp_browser': ['py.typed'],
-        'config': ['*.yaml'],
+        'mcp_servers': ['**/*.py'],
+        'mcp_servers.screen': ['*.py'],
+        'mcp_servers.memory': ['*.py'], 
+        'mcp_servers.pattern_manager': ['*.py'],
+        'mcp_servers.onboarding': ['*.py'],
     },
+    include_package_data=True,
     install_requires=[
         "aiofiles>=23.0.0",
         "jsonpath-ng>=1.6.0",
@@ -201,7 +206,6 @@ setup(
     entry_points={
         "console_scripts": [
             "mcp-browser=mcp_browser.__main__:main",
-            "mcp-browser-demo=examples.basic_usage:main",
         ],
     },
     cmdclass={
